Jump to content

Recommended Posts

Posted

hello everyone, I am a civil 3d guy but just recently left my job (bad management) and got a telecommunications job. It's way faster pace than I would like also alot to check so high chance of errors. been there 3 weeks now and I feel slow. anyone work in telecommunications? if so what tips can you give ? kind of scared I will never get fast enough for this discipline and get the boot.

  • Like 1
Posted (edited)

I'm  work on  Fiber Optic design in CAD.
i  can suggest you be open for any feedback at work, and to get faster in workflow you need to focus on where lacking and which task is taking time.
share more info if possible.

Edited by CADChaser
Posted

What takes the longest to do ? Maybe a lisp can help.

 

To make sure your layers are correct when drafting we had a little legend with sample line work setup correct layer and linetype then just used the pick object to set layer current,  would drag near project, erased near end of task.

Posted

hey bigal, what takes the most time is tracing the streets, driveways, and sidewalks from a Google earth image. also ever time we cross a road with our cable we have to make a profile and add the utilities and dimensions

Posted

I worked for local Government and we had the advantage of getting all the street info from the internal mapping system. Here in AUS we have Dial B4 you dig. Its a  free service and we got CAD maps of services so they could be imported into a dwg, made life a lot easier, yes we had aerial photos as well. Can you not get this type of info ? Would save a lot of drafting. 

 

I did a draw water main lisp it follows the boundary line by picking sections can cross streets, go round corners, keeps following your pick points with a offset, may be useful, will try to find it again.

 

Only idea would be pick boundary line, pick sidewalk point, pick kerb point, and it draws multi offset lines based on the distance of the pick points.

 

I do have a draw driveway that cuts the line work for left and rightn sides, again will find. Have not used it for years and would probably need a edit to suit your task. 

 

Can you post a small dwg include image file if can show before then after would be great. 

 

 

 

Posted
8 hours ago, BIGAL said:

Can you post a small dwg include image file if can show before then after would be great. 

 

 

 

here is a file with a snip jpeg of an aerial Al. Im curious of your lisp routine for tracing roads, sidewalks, driveway

SAMPLE - Standard.zip

Posted
21 hours ago, CADChaser said:

I'm  work on  Fiber Optic design in CAD.
i  can suggest you be open for any feedback at work, and to get faster in workflow you need to focus on where lacking and which task is taking time.
share more info if possible.

thanks CADChaser, i know tracing roads, sidewalks, and driveways is a slow task for me

Posted (edited)

Here is driveway. It is setup for metric so if imperial may need to change some of the values in code.

image.png.cdb49a5e758273b78935949ce07009e8.png

 

; Draw simple driveway 
; BY AlanH 2015

(vl-load-com)
(defun c:drv ( / p1 p2 p3 p4 p5 p6 p7 p8 ang dist ang2)
(setq oldsnap (getvar 'osmode))
(setq oldangdir (getvar "angdir"))

(setvar "osmode" 512)
(setvar "angdir" 0)

(setq p1 (getpoint "pick LEFT end")
p2 (getpoint "pick Right end"))
(setq dist (distance p1 p2))
(setq ang (angle p1 p2))
(setq p3 (polar p1 ang (/ dist 2.0)))

(if (not AH:getvalsm)(load "Multi Getvals.lsp"))
(setq val1 (atof (AH:getvalsm (list "Driveway" "Enter width or to accept OK " 6 5 (rtos dist 2 3))))
(setq dist ( / (atof val1) 2.0)))

(setq p1 (polar p3 (- ang pi) dist))
(setq p2 (polar p3 ang dist))

(setvar 'osmode 192) ; per only at 16512 does not work added insert to make work

(setq p4 (getpoint p3 "pick back of kerb"))
(setvar 'osmode 512) ; nearest
(setq obj (vlax-ename->vla-object (ssname (ssget p4) 0))) ; pick arc pline line 

(setq ang2 (angle p3 p4)) ; sq to kerb angle

(setvar 'osmode 0)
(setq p5 (polar p1 ang2 dist)) ; dummy points for intersect
(setq p6 (polar p2 ang2 dist)) ; dummy points for intersect
(command "line" p1 p5 "")
(setq obj1 (vlax-ename->vla-object (entlast)))
(setq p5 (vlax-invoke obj1 'intersectWith obj acExtendThisEntity))
(setq p5 (polar p1 ang2 (- (distance p1 p5) 0.3)))
(entdel (entlast)) ; no need for dummy line

(command "line" p2 p6 "")
(setq obj2 (vlax-ename->vla-object (entlast)))
(setq p6 (vlax-invoke obj2 'intersectWith obj acExtendThisEntity))
(setq p6 (polar p2 ang2 (- (distance p2 p6) 0.3)))
(entdel (entlast))

(command "circle" p4 (+ dist 1.2))
(setq obj3 (vlax-ename->vla-object (entlast)))

(setq intpts (vlax-invoke obj3 'intersectWith obj acExtendThisEntity))
(entdel (entlast)) ; erase circle used to work out p7 p8

(setvar 'osmode 0)
(setq p7 (list (nth 0 intpts)(nth 1 intpts)))
(setq p8 (list (nth 3 intpts)(nth 4 intpts)))
(command "break" p7 p8)

; swap for partial pline
(if (< (distance p8 p1)(distance p8 p2)) 
(command "Line" p8 p5 p6 p7 "")
(command "Line" p7 p5 p6 p8 "")
)

(command "line" p1 p5 "")
(command "line" p2 p6 "")


(setvar 'osmode oldsnap)
) ; defun
(C:drv)

 

Re draw roads only suggestion is to draw a pline centreline and then can do a multi offset in one go, eg 3,-3,3.45,-3.45,7.5,-7.5 this makes the left and right offsets. I have somewhere.

 

Maybe this

; multi offset: By AlanH Jan 2025

(defun c:moff ( / )
(setq obj (vlax-ename->vla-object (car (entsel "\nPick pline "))))
(setq lst '())
(while (setq offnew (getreal "\nEnter a offset -ve for left Enter to exit "))
(setq lst (cons offnew lst))
)
(foreach n lst
(vl-catch-all-apply 'vlax-invoke (list obj 'offset n))
)
(princ)
)
(c:moff)

Multi GETVALS.lsp

Edited by BIGAL
Posted
1 hour ago, BIGAL said:

Here is driveway. It is setup for metric so if imperial may need to change some of the values in code.

image.png.cdb49a5e758273b78935949ce07009e8.png

 

; Draw simple driveway 
; BY AlanH 2015

(vl-load-com)
(defun c:drv ( / p1 p2 p3 p4 p5 p6 p7 p8 ang dist ang2)
(setq oldsnap (getvar 'osmode))
(setq oldangdir (getvar "angdir"))

(setvar "osmode" 512)
(setvar "angdir" 0)

(setq p1 (getpoint "pick LEFT end")
p2 (getpoint "pick Right end"))
(setq dist (distance p1 p2))
(setq ang (angle p1 p2))
(setq p3 (polar p1 ang (/ dist 2.0)))

(if (not AH:getvalsm)(load "Multi Getvals.lsp"))
(setq val1 (atof (AH:getvalsm (list "Driveway" "Enter width or to accept OK " 6 5 (rtos dist 2 3))))
(setq dist ( / (atof val1) 2.0)))

(setq p1 (polar p3 (- ang pi) dist))
(setq p2 (polar p3 ang dist))

(setvar 'osmode 192) ; per only at 16512 does not work added insert to make work

(setq p4 (getpoint p3 "pick back of kerb"))
(setvar 'osmode 512) ; nearest
(setq obj (vlax-ename->vla-object (ssname (ssget p4) 0))) ; pick arc pline line 

(setq ang2 (angle p3 p4)) ; sq to kerb angle

(setvar 'osmode 0)
(setq p5 (polar p1 ang2 dist)) ; dummy points for intersect
(setq p6 (polar p2 ang2 dist)) ; dummy points for intersect
(command "line" p1 p5 "")
(setq obj1 (vlax-ename->vla-object (entlast)))
(setq p5 (vlax-invoke obj1 'intersectWith obj acExtendThisEntity))
(setq p5 (polar p1 ang2 (- (distance p1 p5) 0.3)))
(entdel (entlast)) ; no need for dummy line

(command "line" p2 p6 "")
(setq obj2 (vlax-ename->vla-object (entlast)))
(setq p6 (vlax-invoke obj2 'intersectWith obj acExtendThisEntity))
(setq p6 (polar p2 ang2 (- (distance p2 p6) 0.3)))
(entdel (entlast))

(command "circle" p4 (+ dist 1.2))
(setq obj3 (vlax-ename->vla-object (entlast)))

(setq intpts (vlax-invoke obj3 'intersectWith obj acExtendThisEntity))
(entdel (entlast)) ; erase circle used to work out p7 p8

(setvar 'osmode 0)
(setq p7 (list (nth 0 intpts)(nth 1 intpts)))
(setq p8 (list (nth 3 intpts)(nth 4 intpts)))
(command "break" p7 p8)

; swap for partial pline
(if (< (distance p8 p1)(distance p8 p2)) 
(command "Line" p8 p5 p6 p7 "")
(command "Line" p7 p5 p6 p8 "")
)

(command "line" p1 p5 "")
(command "line" p2 p6 "")


(setvar 'osmode oldsnap)
) ; defun
(C:drv)

 

Re draw roads only suggestion is to draw a pline centreline and then can do a multi offset in one go, eg 3,-3,3.45,-3.45,7.5,-7.5 this makes the left and right offsets. I have somewhere.

 

Maybe this

; multi offset: By AlanH Jan 2025

(defun c:moff ( / )
(setq obj (vlax-ename->vla-object (car (entsel "\nPick pline "))))
(setq lst '())
(while (setq offnew (getreal "\nEnter a offset -ve for left Enter to exit "))
(setq lst (cons offnew lst))
)
(foreach n lst
(vl-catch-all-apply 'vlax-invoke (list obj 'offset n))
)
(princ)
)
(c:moff)

Multi GETVALS.lsp 2.99 kB · 32 downloads

thanks BigAl!

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...